Index: palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 174)
+++ palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 175)
@@ -1915,5 +2498,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -1923,5 +2506,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_wsqs = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wsqs = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1945,5 +2528,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
             end if
@@ -1953,5 +2536,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 2
-                  plot_wq = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wq = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -1975,5 +2558,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -1984,5 +2567,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0 
-                  plot_wpqvp = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wpqvp = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2006,5 +2589,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if 
             end if
@@ -2014,5 +2597,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_wsqvs = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wsqvs = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2036,5 +2619,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
             end if
@@ -2044,5 +2627,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 2
-                  plot_wqv = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wqv = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2066,5 +2649,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -2075,5 +2658,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_wpsp = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wpsp = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2097,5 +2680,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if 
             end if 
@@ -2105,5 +2688,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1 
-                  plot_wsss = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wsss = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2127,5 +2710,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
             end if
@@ -2135,5 +2718,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 2
-                  plot_ws = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_ws = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2157,5 +2740,5 @@
                      res@trXMaxF            = xe  
                   end if
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if 
             end if
@@ -2166,5 +2749,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_wpsap = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wpsap = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2188,5 +2771,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if 
             end if
@@ -2196,5 +2779,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_wssas = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wssas = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2218,5 +2801,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
             end if
@@ -2226,5 +2809,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 2
-                  plot_wsa = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wsa = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2248,5 +2831,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -2257,5 +2840,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_us2 = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_us2 = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2279,5 +2862,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if 
             end if
@@ -2287,5 +2870,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_vs2 = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_vs2 = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2309,5 +2892,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
             end if
@@ -2317,5 +2900,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 2 
-                  plot_ws2 = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_ws2 = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2339,5 +2922,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if
@@ -2348,5 +2931,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 0
-                  plot_wsususodz = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_wsususodz = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2370,5 +2953,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if  
             end if
@@ -2378,5 +2961,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 1
-                  plot_wspsodz = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot_wspsodz = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2400,5 +2983,5 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if 
             end if
@@ -2408,5 +2991,5 @@
                if (over .EQ. 1) then
                   res@xyDashPattern  = 2 
-                  plot_wpeodz = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+                  plot_wpeodz = gsn_csm_xy(wks,data(varn,:,:),z,res)
                else
                   res@gsnLeftString      = vNam(varn)
@@ -2430,7 +3013,14 @@
                      res@trXMaxF            = xe  
                   end if 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
             end if 
+         if (no_files .GT. 1) then
+            multi_plot(nof,n)=plot(n) 
+            max_nof(nof,n)=max(data(varn,:,:))
+            min_nof(nof,n)=min(data(varn,:,:))
+            name(nof,n)   =vNam(varn)
+            unit_(nof,n)  =unit(varn)
+         end if
          if (over .EQ. 0) then
             n=n+1  
@@ -2442,4 +3032,131 @@
       end if          
    end do
+   if (no_files .GT. 1) then
+      delete(vNam)
+   end if
+   end do
+
+   if (count_var .EQ. 0) then
+      print(" ")
+      print("The variables 'var=Â°"+var+"Â°' do not exist on your input file")
+      print(" ")
+      exit
+   end if
+   
+   if (no_files .GT. 1) then 
+      multi_legend=new(12,string)
+      string_len=new(12,integer)
+      multi_dash=new(no_files,string)
+      if (.not. isvar("name_legend_1")) 
+         multi_legend(0)="  "+parameter(83) 
+      else
+         multi_legend(0)="  "+name_legend_1
+      end if 
+      string_len(0)=strlen(multi_legend(0))
+      if (.not. isvar("name_legend_2")) 
+         multi_legend(1)="  "+parameter(87) 
+      else
+         multi_legend(1)="  "+name_legend_2
+      end if 
+      string_len(1)=strlen(multi_legend(1))
+      if (.not. isvar("name_legend_3")) 
+         multi_legend(2)="  "+parameter(91) 
+      else
+         multi_legend(2)="  "+name_legend_3
+      end if 
+      string_len(2)=strlen(multi_legend(2))
+      if (.not. isvar("name_legend_4")) 
+         multi_legend(3)="  "+parameter(95) 
+      else
+         multi_legend(3)="  "+name_legend_4
+      end if 
+      string_len(3)=strlen(multi_legend(3))
+      if (.not. isvar("name_legend_5")) 
+         multi_legend(4)="  "+parameter(99) 
+      else
+         multi_legend(4)="  "+name_legend_5
+      end if 
+      string_len(4)=strlen(multi_legend(4))
+      if (.not. isvar("name_legend_6")) 
+         multi_legend(5)="  "+parameter(103) 
+      else
+         multi_legend(5)="  "+name_legend_6
+      end if 
+      string_len(5)=strlen(multi_legend(5))
+      if (.not. isvar("name_legend_7")) 
+         multi_legend(6)="  "+parameter(107) 
+      else
+         multi_legend(6)="  "+name_legend_7
+      end if
+      string_len(6)=strlen(multi_legend(6)) 
+      if (.not. isvar("name_legend_8")) 
+         multi_legend(7)="  "+parameter(111) 
+      else
+         multi_legend(7)="  "+name_legend_8
+      end if 
+      string_len(7)=strlen(multi_legend(7))
+      if (.not. isvar("name_legend_9")) 
+         multi_legend(8)="  "+parameter(115) 
+      else
+         multi_legend(8)="  "+name_legend_9
+      end if
+      string_len(8)=strlen(multi_legend(8)) 
+      if (.not. isvar("name_legend_10")) 
+         multi_legend(9)="  "+parameter(119) 
+      else
+         multi_legend(9)="  "+name_legend_10
+      end if 
+      string_len(9)=strlen(multi_legend(9))
+      if (.not. isvar("name_legend_11")) 
+         multi_legend(10)="  "+parameter(123) 
+      else
+         multi_legend(10)="  "+name_legend_11
+      end if 
+      string_len(10)=strlen(multi_legend(10))
+      if (.not. isvar("name_legend_12")) 
+         multi_legend(11)="  "+parameter(127) 
+      else
+         multi_legend(11)="  "+name_legend_12
+      end if 
+      string_len(11)=strlen(multi_legend(11))
+      do ml=1,no_files
+         multi_dash(ml-1)=ml-1
+      end do
+      delete(plot)
+      plot = new(dim,graphic)
+      do pl=0,n-1
+         plot0 = new(1,graphic)
+         res@trXMinF = min(min_nof(:,pl))
+         res@trXMaxF = max(max_nof(:,pl))
+         res@gsnLeftString  = name(0,pl)
+         res@gsnRightString = unit_(0,pl) 
+   
+         plot0 = gsn_csm_xy(wks,data_0(:,:),z_(pl,:),res)
+
+         ; ***************************************************
+         ; legend for combined plot
+         ; ***************************************************
+
+         lgres                    = True
+         lgMonoDashIndex          = False
+         lgres@lgLabelFont        = "helvetica"    
+         lgres@lgLabelFontHeightF = .2            
+         lgres@vpWidthF           = max(string_len)*0.012           
+         lgres@vpHeightF          = 0.04*no_files          
+         lgres@lgDashIndexes      = multi_dash(no_files-1:0)
+         lbid = gsn_create_legend(wks,no_files,multi_legend(no_files-1:0),lgres)       
+
+         amres = True
+         amres@amParallelPosF   = max(string_len)*0.01+0.78		    
+         amres@amOrthogonalPosF = -0.0315*no_files+0.431         
+         annoid1 = gsn_add_annotation(plot0,lbid,amres) 
+
+         do plo=0,no_files-1
+            overlay(plot0,multi_plot(plo,pl))
+            plot(pl)=plot0
+         end do
+         delete(plot0)
+      end do
+   end if
 
    if (count_var .EQ. 0) then
@@ -2527,15 +3244,35 @@
          end if      
 
-         if (check)
-
-            if (prof3d .EQ. 1) then
-
-            end if
-          
+         if (check)then
+
             if (prof3d .EQ. 0) then
-               z = f->$vNam(varn+1)$ 
-            else
-               z = z_v(varn,:)
-            end if
+               if (logy .EQ. 1) then
+                  z = f->$vNam(varn+1)$(1:dimz-1) 
+               else
+                  z = f->$vNam(varn+1)$               
+               end if
+            else 
+               do i=0,b-1            
+                  if (isStrSubset( a(i),"zu_3d" ))then
+                     z_v(varn,:) = z_u
+                     if (logy .EQ. 1) then
+                        z = z_v(varn,1:dimz-1)
+                     else
+                        z = z_v(varn,:)
+                     end if 
+                  else
+                     if (isStrSubset( a(i),"zw_3d" ))then
+                        z_v(varn,:) = z_w
+                        if (logy .EQ. 1) then
+                           z = z_v(varn,1:dimz-1)
+                        else
+                           z = z_v(varn,:)
+                        end if
+                     end if                   
+                  end if
+               end do            
+            end if
+
+            z=z/norm
 
             res@gsnLeftString      = vNam(varn)
@@ -2584,10 +3321,6 @@
                   else 
                      res@trXMaxF = xe  
-                  end if 
-                  if (vNam(varn) .EQ. "w") then 
-                     plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
-                  else
-                     plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
-                  end if
+                  end if  
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -2641,5 +3374,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -2692,5 +3425,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -2744,5 +3477,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -2795,5 +3528,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -2847,5 +3580,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -2898,5 +3631,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -2949,5 +3682,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -3000,5 +3733,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -3051,5 +3784,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -3102,5 +3835,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -3153,5 +3886,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -3204,5 +3937,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -3255,5 +3988,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -3307,5 +4040,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -3359,5 +4092,5 @@
                   end if
 
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
 
                   ; ***************************************************
@@ -3414,5 +4147,5 @@
          if (.not. isvar("var")) then
             if (parameter(21) .NE. "variables") then
-               var=parameter(21)
+               var=parameter(21)                
                check = isStrSubset( var,","+vNam(varn)+"," )
             end if
@@ -3421,19 +4154,42 @@
          end if      
 
-         if (check)
-
+         if (check)then
+            
             if (prof3d .EQ. 0) then
-               z = f->$vNam(varn+1)$ 
-            else
-               z = z_v(varn,:)  
-            end if 
-     
+               if (logy .EQ. 1) then
+                  z = f->$vNam(varn+1)$(1:dimz-1) 
+               else
+                  z = f->$vNam(varn+1)$               
+               end if
+            else 
+               do i=0,b-1            
+                  if (isStrSubset( a(i),"zu_3d" ))then
+                     z_v(varn,:) = z_u
+                     if (logy .EQ. 1) then
+                        z = z_v(varn,1:dimz-1)
+                     else
+                        z = z_v(varn,:)
+                     end if 
+                  else
+                     if (isStrSubset( a(i),"zw_3d" ))then
+                        z_v(varn,:) = z_w
+                        if (logy .EQ. 1) then
+                           z = z_v(varn,1:dimz-1)
+                        else
+                           z = z_v(varn,:)
+                        end if
+                     end if                   
+                  end if
+               end do            
+            end if
+
+            z=z/norm
+           
             com=isStrSubset( c_var,","+vNam(varn)+"," )
         
-            if (com) 
+            if (com)then 
                co = co+1           
                if (n_o .EQ. 1) then
-                  res@xyDashPattern  = 1 
-                                  
+                  res@xyDashPattern  = 1                                   
                else            
                   if (n_o .EQ. 2) then
@@ -3441,5 +4197,5 @@
                   else
                      res@xyDashPattern  = 0
-                     res@gsnLeftString  = c_var
+                     res@gsnLeftString  = "Combined Plot of "+c_var
                      res@gsnRightString = unit(varn)
                      if (.not. isvar("xs")) then 
@@ -3478,5 +4234,13 @@
             overlay(plot_o(0),plot_o(1))
          else
-            print("'c_var' is not conform with existing variables on the input file")
+            if (.not. isvar("var") .AND. parameter(21) .EQ. "variables") then
+               print(" ")
+               print("'c_var'(= "+c_var+") is not conform with existing variables on the input file")
+               print(" ")
+            else
+               print(" ")
+               print("'c_var'(= "+c_var+") must include two variables of the general plots ('var' = "+var+")")
+               print(" ")
+            end if
          end if 
       end if
@@ -3486,5 +4250,13 @@
             overlay(plot_o(0),plot_o(2))
          else
-            print("'c_var' is not conform with existing variables on the input file")
+            if (.not. isvar("var") .AND. parameter(21) .EQ. "variables") then
+               print(" ")
+               print("'c_var'(= "+c_var+") is not conform with existing variables on the input file")
+               print(" ")
+            else
+               print(" ")
+               print("'c_var'(= "+c_var+") must include three variables of the general plots ('var' = "+var+")")
+               print(" ")
+            end if
          end if 
       end if
@@ -3522,5 +4294,5 @@
 
    if (format_out .EQ. "eps" .OR. format_out .EQ. "epsi") then
-      gsn_panel(wks,plot_(0:n-1),(/n,1/),resP)
+      gsn_panel(wks,plot_,(/n,1/),resP)
    else    
       do i = 0,n-1, no_lines*no_columns
Index: palm/trunk/SCRIPTS/NCL/timeseries.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 174)
+++ palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 175)
@@ -10,12 +10,17 @@
    ; ***************************************************
    
-   if (isfilepresent(".ncl_preferences")) then
-      parameter = asciiread(".ncl_preferences",77,"string")
+   if (isfilepresent("~/.ncl_preferences")) then
+      parameter = asciiread("~/.ncl_preferences",129,"string")
       delete(parameter@_FillValue)
    else
-      print(" ")
-      print("'.ncl_preferences' is not existent")
-      print(" ")
-      exit
+      if (isfilepresent("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences")) then
+         parameter = asciiread("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences",129,"string")
+         delete(parameter@_FillValue)
+      else
+         print(" ")
+         print("'.ncl_preferences' is not present in '~/palm/current_version/trunk/SRIPTS/NCL/'")
+         print(" ")
+         exit
+      end if
    end if
 
@@ -24,20 +29,41 @@
    ; ***************************************************
   
-   if ( .not. isvar("file_in") ) then     		; path+name of input file      
-      if (parameter(7) .EQ. "input file") then
-         print(" ")
-         print("Please provide input file 'file_in = ' either in prompt or parameter_list")
+   if ( .not. isvar("file_1") ) then     		  
+      if (parameter(7) .EQ. "File in") then
+         print(" ")
+         print("Please provide 1st input file 'file_1=' either in prompt or parameter_list")
          print(" ")
          exit
       else
          file_in = parameter(7)
-      end if      
-   end if
-   if ( .not. isvar("format_out") ) then   		; format of output file 
+      end if   
+   else
+      file_in = file_1   
+   end if
+   if (.not. isfilepresent(file_in)) then
+      print(" ")
+      print("Your 1st input file: '"+file_in+"' does not exist")
+      print(" ")
+      exit
+   end if 
+
+   if ( .not. isvar("format_out") ) then   		
       format_out = "x11"
       if (parameter(9) .NE. "x11") then
          format_out = parameter(9)  
+         if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
+            print(" ")
+            print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
+            print(" ")
+         end if  
       end if 
-   end if
+   else
+      if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
+         print(" ")
+         print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
+         print(" ")
+      end if   
+   end if
+
    if ( .not. isvar("file_out") ) then    	 	; path+name of output file
       file_out = "test"
@@ -46,4 +72,5 @@
       end if     
    end if
+
    if ( .not. isvar("no_columns") ) then    		; number of plots in one row
       no_columns = 1
@@ -52,4 +79,5 @@
       end if
    end if
+
    if ( .not. isvar("no_lines") ) then     		; number of plot-lines on one sheet
       no_lines = 2
@@ -58,7 +86,9 @@
       end if
    end if  
+
    if ( .not. isvar("var") ) then   			; variable name
       check = True
    end if
+
    if ( .not. isvar("over") ) then     		        ; switches overlaying plots on
       over = 0
@@ -67,11 +97,18 @@
          if (stringtointeger(parameter(37)) .NE. 1) then
             print(" ")
-            print("Please set 'over' to 0 or 1")
-            print(" ")
-            exit
+            print("Your 'over'= "+over+" is invalid and set to 0")
+            print(" ")
+            over = 0
          end if   
       end if
-   end if 
-  
+   else
+      if (over .NE. 0 .AND. over .NE. 1)then
+         print(" ")
+         print("Your 'over'= "+over+" is invalid and set to 0")
+         print(" ")
+         over = 0
+      end if
+   end if
+
    ; ***************************************************
    ; open input file
@@ -220,4 +257,9 @@
    delete(end_time_step)
    end_time_step=round(et,3)
+
+   print(" ")
+   print("Output of time steps from "+t_all(start_time_step)/3600+" h = "+t_all(start_time_step)+" s => index = "+start_time_step)
+   print("                     till "+t_all(end_time_step)/3600+" h = "+t_all(end_time_step)+" s => index = "+end_time_step)
+   print(" ")
 
    t = f->time(start_time_step:end_time_step)
@@ -477,10 +519,8 @@
    if (count_var .EQ. 0) then
       print(" ")
-      print("Please select a variable 'var=' or use the default value")
-      print(" ")
-      print("Your selection '"+var+"' does not exist on the input file")
+      print("The variables 'var=Â°"+var+"Â°' do not exist on your input file")
       print(" ")
       exit
-   end if 
+   end if
 
    do varn = dim-1,0,1 
@@ -500,4 +540,11 @@
   
       if(check) then
+
+        if (isStrSubset(vNam(varn),"_0" ))then
+            print(" ")
+            print("If you have Outputs of statistic regions you cannot overlay variables; 'over' is set to 0")
+            print(" ")
+            over = 0
+         end if
 
         if (over .EQ. 1) then
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 174)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 175)
@@ -77,4 +77,7 @@
 Errors:
 ------
+Bugfix: Determination of the number of vertical levels for which spectra 
+shall be output - 100 replaced by 10. (netcdf)
+
 Bugfix: Lengths of those characters that are needed for the output of the 
 characteristic levels of potential temperature, the geostrophic wind, 
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 174)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 175)
@@ -7,4 +7,6 @@
 ! Current revisions:
 ! ------------------
+! bug fix in the determination of the number of output heights for spectra
+!
 ! user-defined spectra
 !
@@ -3057,5 +3059,5 @@
 !--       shall be output
           ns = 1
-          DO WHILE ( comp_spectra_level(ns) /= 999999  .AND.  ns <= 100 )
+          DO WHILE ( comp_spectra_level(ns) /= 999999  .AND.  ns <= 10 )
              ns = ns + 1
           ENDDO
